# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## 2.0.0 - 2020-05-04

### Added
  - Test enabling the adapter.
  - Test disabling the adapter.
  - Test scanning with a scan filter.
  - Add annotations for null analysis.
  - Add license file.
  - Add usage information in README.

### Changed
  - Support Bluetooth API 2.0.
  - Pass test multiple times to challenge robustness.
  - Rename packages.
  - Change module organization.

### Fixed
  - Fix advertisement data check being too strict.
  - Fix handling of assertions performed in Bluetooth pump thread.

## 1.0.0 - 2019-03-12

### Added
  - Test scanning nearby devices.
  - Test advertising to nearby devices.
  - Test connecting to and disconnecting from a device.
  - Test pairing with a device.
  - Test replying to a pairing request from a device.
  - Test providing GATT services.
  - Test discovering the GATT services provided by a device.
  - Test reading or writing a characteristic or descriptor of a device.
  - Test replying to a read or write request from a device.
  - Test sending characteristic notifications and indications to a device.

---
_Copyright 2018-2020 MicroEJ Corp. All rights reserved._  
_This library is provided in source code for use, modification and test, subject to license terms._  
_Any modification of the source code will break MicroEJ Corp. warranties on the whole library._  
