/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.paho.client.mqttv3;

import java.io.InputStream;

import ej.annotation.Nullable;

/**
 *
 */
public interface CertificateProvider {

	/**
	 * Returns the number of certificates provides by this provider.
	 *
	 * @return the number of certificates provides by this provider.
	 */
	int getSize();

	/**
	 * Returns the content of the certificate at the specified index.
	 *
	 * @param index
	 *            index of the certificate to return
	 * @return the the content of the certificate at the specified index.
	 */
	@Nullable
	InputStream getCertificate(int index);

	/**
	 * Returns the alias of the certificate at the specified index.
	 *
	 * @param index
	 *            index of the certificate to return
	 * @return the alias of the certificate at the specified index.
	 */
	String getAlias(int index);

}
