/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.rcommand.CommandReader;
import ej.rcommand.CommandSender;
import ej.rcommand.RemoteCommandListener;

/**
 *
 */
public abstract class AbstractCommand implements RemoteCommandListener {

	@Override
	public String[] getManagedCommands() {
		return new String[] { getManagedCommand() };
	}

	/**
	 * Returns the managed command
	 *
	 * @return the managed command.
	 */
	protected abstract String getManagedCommand();

	@Override
	public void commandReceived(CommandReader commandReader, CommandSender commandSender, String command) {
		commandReceived(commandReader, commandSender);
	}

	protected abstract void commandReceived(CommandReader commandReader, CommandSender commandSender);

}
