package com.microej.wadapps.rcommand;
/*
 * Java
 *
 * Copyright 2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

import ej.components.dependencyinjection.ServiceLoaderFactory;
import ej.rcommand.CommandReader;
import ej.rcommand.CommandSender;
import ej.wadapps.admin.Product;

/**
 *
 */
public class DeviceInfoCommand extends AbstractCommand {

	@Override
	protected String getManagedCommand() {
		return CommandConstants.DEVICE_INFO;
	}

	@Override
	protected void commandReceived(CommandReader commandReader, CommandSender commandSender) {
		Product product = ServiceLoaderFactory.getServiceLoader().getService(Product.class);
		IconInfoProvider iconInfoProvider = ServiceLoaderFactory.getServiceLoader().getService(IconInfoProvider.class);

		commandSender.startCommand(CommandConstants.DEVICE_INFO_SUCCESS);
		commandSender.sendString(product.getDeviceIdentifier());
		commandSender.sendString(product.getFirmwareIdentifier());
		commandSender.sendString(product.getFirmwareVersion());

		boolean acceptIcon = iconInfoProvider != null;
		commandSender.sendBoolean(acceptIcon);
		if (acceptIcon) {
			commandSender.sendInt(iconInfoProvider.getAcceptedIconWidth());
			commandSender.sendInt(iconInfoProvider.getAcceptedIconHeight());
		}
		commandSender.flushCommand();
	}

}
