/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import com.microej.wadapps.kernel.FactoryReset;

import ej.components.dependencyinjection.ServiceLoaderFactory;
import ej.rcommand.CommandReader;
import ej.rcommand.CommandSender;

/**
 *
 */
public class FactoryResetCommand extends AbstractCommand {

	@Override
	protected String getManagedCommand() {
		return CommandConstants.FACTORY_RESET;
	}

	@Override
	protected void commandReceived(CommandReader commandReader, CommandSender commandSender) {
		final FactoryReset factoryReset = ServiceLoaderFactory.getServiceLoader().getService(FactoryReset.class);
		if (factoryReset == null) {
			// send error
		} else {
			new Thread() {
				@Override
				public void run() {
					try {
						Thread.sleep(2000);
						factoryReset.reset();
					} catch (Exception e) {
						e.printStackTrace();
					}
				}
			}.start();
		}
	}
}
