/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.components.dependencyinjection.ServiceLoaderFactory;
import ej.rcommand.CommandReader;
import ej.rcommand.CommandSender;
import ej.wadapps.admin.Application;
import ej.wadapps.admin.ApplicationsManager;

/**
 *
 */
public class ListCommand extends AbstractCommand {

	private final ApplicationsManager am;

	/**
	 *
	 */
	public ListCommand() {
		this.am = ServiceLoaderFactory.getServiceLoader().getService(ApplicationsManager.class);
	}

	@Override
	protected String getManagedCommand() {
		return CommandConstants.LIST_APPLICATIONS;
	}

	@Override
	protected void commandReceived(CommandReader commandReader, CommandSender commandSender) {
		Application[] applications = this.am.getInstalledApplications();
		commandSender.startCommand(CommandConstants.LIST_APPLICATIONS_SUCCESS);
		commandSender.sendInt(applications.length);
		for (Application application : applications) {
			commandSender.sendString(application.getIdentifier());
			commandSender.sendString(application.getVersion());
			commandSender.sendString(application.getState().toString());
		}
		commandSender.flushCommand();
	}

}
