/*
 * Java
 *
 * Copyright 2016-2021 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.rcommand;

import ej.rcommand.RemoteCommandManager;

/**
 * Helper class that registers all the commands in a command manager.
 *
 */
public class WadappsCommands {

	/**
	 * Registers all the Wadapps Commands into the specified command manager
	 *
	 * @param commandManager
	 *            the command manager to populate.
	 */
	public static void registerCommands(RemoteCommandManager commandManager) {
		commandManager.registerListener(new InstallCommand());
		commandManager.registerListener(new ListCommand());
		commandManager.registerListener(new StartCommand());
		commandManager.registerListener(new StopCommand());
		commandManager.registerListener(new UninstallCommand());
		commandManager.registerListener(new InstallCommandWithMetadata());
		commandManager.registerListener(new DeviceInfoCommand());
		commandManager.registerListener(new StateApplicationCommand());
		commandManager.registerListener(new ListCommandPlus());
		commandManager.registerListener(new InstallApplicationCommand());
		commandManager.registerListener(new ListCommandCommand());
		commandManager.registerListener(new GetApplicationMetadataCommand());
		commandManager.registerListener(new SetApplicationMetadataCommand());
		commandManager.registerListener(new GetSharedPropertyCommand());
		commandManager.registerListener(new SetSharedPropertyCommand());
		commandManager.registerListener(new ShowActivityCommand());
		commandManager.registerListener(new ShowApplicationCommand());
		commandManager.registerListener(new ListActivitiesCommand());
		commandManager.registerListener(new RunCommand());
		commandManager.registerListener(new ExecuteCommand());
	}
}
