/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

/**
 * A binary state. The state may be unknown.
 */
public interface BinaryState {

	/**
	 * The state is on.
	 */
	int ON = 0;
	/**
	 * The state is off.
	 */
	int OFF = 1;
	/**
	 * The state has not been determined yet.
	 */
	int UNKNOWN = -1;
}
