/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.zwave.device;

import ej.basedriver.impl.AbstractProfile;
import ej.basedriver.zwave.ZwaveNode;
import ej.ecom.Device;
import ej.ecom.HardwareDescriptor;

public class ZwaveDevice extends AbstractProfile {
	protected ZwaveNode node;

	public ZwaveDevice(ZwaveNode node) {
		this.node = node;
		this.node.addChild(this);
	}

	@Override
	public Device getParent() {
		return node;
	}

	@Override
	public <D extends Device> HardwareDescriptor<D> getDescriptor() {
		return node.getDescriptor();
	}

	@Override
	public String getName() {
		return node.getName();
	}
}
