/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.zwave.frame;

public class DataFrame {
	protected byte [] content ;

	public DataFrame(byte [] content) {
		this.content = content;
	}

	public byte[] getBytes() {
		return content;
	}

	/**
	 * @return
	 */
	public byte getFunctionId() {
		return content[3];
	}

	/**
	 * @return
	 */
	public byte getType() {
		return content[2];
	}

	/**
	 * @return
	 */
	public boolean isValid() {
		return computeChecksum() == content[content.length - 1];
	}

	protected byte computeChecksum() {
		byte checksum = (byte) 0xFF;
		int length = content[1];

		for (int i = 1; i <= length; i++) {
			checksum ^= content[i];
		}

		return checksum;
	}
}
