/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.image;

import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

import ej.annotation.Nullable;
import ej.microui.display.Image;

/**
 * Default implementation of image loader that simply returns the image at the given path.
 */
public class DefaultImageLoader implements ImageLoader {

	@Override
	@Nullable
	public Image getImage(String path) {
		try {
			return Image.createImage(path);
		} catch (IOException e) {
			Logger.getLogger(DefaultImageLoader.class.getName()).log(Level.WARNING, path, e);
			return null;
		}
	}

}
