/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.style.image;

import ej.annotation.Nullable;
import ej.microui.display.Image;

/**
 * An image loader is responsible for loading the images. It maps a MicroUI image to a path.
 */
public interface ImageLoader {

	/**
	 * Gets the MicroUI image matching the given path.
	 *
	 * @param path
	 *            the path of the image.
	 * @return the image or <code>null</code> if not found.
	 * @throws NullPointerException
	 *             if the given source is <code>null</code>.
	 */
	@Nullable
	Image getImage(String path);

}
