/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.app;

import ej.kf.Proxy;

class ActivityProxy extends Proxy<Activity> implements Activity {

	@Override
	public String getID() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return ""; //$NON-NLS-1$
		}
	}

	@Override
	public void onCreate() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

	@Override
	public void onRestart() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

	@Override
	public void onStart() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

	@Override
	public void onResume() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

	@Override
	public void onPause() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

	@Override
	public void onStop() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

	@Override
	public void onDestroy() {
		try {
			invoke();
		} catch (RuntimeException e) {
			e.printStackTrace();
			throw new RuntimeException();
		} catch (Throwable e) {
			e.printStackTrace();
			throw new Error();
		}
	}

}
