/*
 * Java
 *
 * Copyright 2019 IS2T. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break IS2T warranties on the whole library.
 */
package ej.wadapps.application;

/**
 * Listen to applications installation.
 *
 * @see ApplicationInstaller#addApplicationInstallationListener(ApplicationInstallationListener)
 */
public interface ApplicationInstallationListener {

	/**
	 * Called when an application is installed.
	 *
	 * @param application
	 *            the installed application.
	 */
	void onInstall(Application application);

	/**
	 * Called when the application is uninstalled.
	 *
	 * @param application
	 *            the uninstalled application.
	 */
	void onUninstall(Application application);

}
