/*
 * Java
 *
 * Copyright 2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.wadapps.applicationstore;

/**
 * This interface can be used to retrieve the list of the {@link ApplicationStoreConnectionInfo} and
 * to register a new {@link ApplicationStoreConnectionInfo}.
 * <p>
 * An instance of this service can be retrieved using service loader.
 */
public interface ApplicationStoreConnections {

	/**
	 * Returns the list of registered {@link ApplicationStoreConnectionInfo}.
	 * Returns an empty array if no {@link ApplicationStoreConnectionInfo} is registered.
	 */
	public ApplicationStoreConnectionInfo[] getConnectionsInfos();

	/**
	 * Registers the given {@link ApplicationStoreConnectionInfo}.
	 * @param applicationStoreConnectionInfo the {@link ApplicationStoreConnectionInfo} to register.
	 */
	public void registerConnectionInfo(ApplicationStoreConnectionInfo applicationStoreConnectionInfo);

}
