/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import java.io.IOException;

import ej.kf.Proxy;

/**
 * 
 */
public class ApplicationMetadataProxy extends Proxy<ApplicationMetadata> implements ApplicationMetadata {
	private static final String EMPTY = ""; //$NON-NLS-1$

	@Override
	public String getName() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return EMPTY;
		}
	}

	@Override
	public String getVersion() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return EMPTY;
		}
	}

	@Override
	public String getDescription() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return EMPTY;
		}
	}

	@Override
	public ImageInfo[] getIconsList() throws IOException {
		try {
			return (ImageInfo[]) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return new ImageInfo[0];
		}
	}

	@Override
	public ImageInfo[] getScreenshotsList() throws IOException {
		try {
			return (ImageInfo[]) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return new ImageInfo[0];
		}
	}

	@Override
	public ExtraMetadata[] getExtraMetadatasList() throws IOException {
		try {
			return (ExtraMetadata[]) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return new ExtraMetadata[0];
		}
	}

	@Override
	public String getApplicationIdentifier() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return EMPTY;
		}
	}
}
