/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import java.io.IOException;
import java.io.InputStream;

/**
 * Represents an image information.
 */
public interface ImageInfo {
	/**
	 * Gets the image identifier.
	 * <p>
	 * The format of the returned string is implementation specific.
	 * 
	 * @return the image identifier.
	 */
	String getIdentifier();

	/**
	 * Gets the image width.
	 * 
	 * @return the image width.
	 */
	int getWidth();

	/**
	 * Gets the image height.
	 * 
	 * @return the image height.
	 */
	int getHeight();

	/**
	 * Gets the image content.
	 * 
	 * @return the image content.
	 * @throws IOException
	 *             if an I/O error occurs.
	 */
	InputStream getImage() throws IOException;
}
