/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.watchdog;

/**
 * Supervises some activity.
 */
public interface Watchdog {

	/**
	 * Sets the watchdog listener that will receive the watchdog notifications.
	 *
	 * @param watchdogListener
	 *            the watchdog listener to notify.
	 */
	void setWatchdogListener(WatchdogListener watchdogListener);

	/**
	 * Starts supervising.
	 */
	void arm();

	/**
	 * Stops to supervise.
	 */
	void stop();

	/**
	 * Notifies that an activity occurs.
	 */
	void feed();

}
