/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package googlecloud.iotcore;

import java.io.IOException;

import ej.kf.Proxy;

/**
 * Proxy for {@link DeviceService}.
 */
public class DeviceServiceProxy extends Proxy<DeviceService> implements DeviceService {

	@Override
	public void setState(byte[] data) throws IOException {
		try {
			// Invoke the implementation
			invoke();
		} catch (Throwable e) {
			throw new IOException(e);
		}
	}

	@Override
	public void setEvent(byte[] data) throws IOException {
		try {
			// Invoke the implementation
			invoke();
		} catch (Throwable e) {
			throw new IOException(e);
		}
	}

	@Override
	public void setSubEvent(String subEvent, byte[] data) throws IOException {
		try {
			// Invoke the implementation
			invoke();
		} catch (Throwable e) {
			throw new IOException(e);
		}
	}

	@Override
	public void addConfigListener(ConfigListener listener) throws IOException {
		try {
			// Invoke the implementation
			invoke();
		} catch (Throwable e) {
			throw new IOException(e);
		}
	}

	@Override
	public void removeConfigListener(ConfigListener listener) throws IOException {
		try {
			// Invoke the implementation
			invoke();
		} catch (Throwable e) {
			throw new IOException(e);
		}
	}

}
